none
关于更新SP的问题 RRS feed

  • 问题

  • 本人用的是win xp professional - en
    问题1:在一个网站看到。如果要升级到SP3.那么你操作系统的前提是已经是SP1或者是SP2.我想知道。我系统是用很早的光盘装的没打任何SP.这种情况下可不可以直接打上SP3?

    2008年12月9日 5:37

答案

  •  

    不能,必须在Service Pack 1 或者更高版本的基础上安装 SP3。

    2008年12月9日 7:36
  • 在 Windows XP SP2(含)以前,所有的 Windows Service Pack 都是完全向下兼容的关系,可以从任意的旧版本升级至最新。例如 Windows 2000 SP4、Windows NT SP6,都可以从 RTM 直接升级。

     

    但是从 Windows XP SP3 & Windows Vista SP2 开始,Service Pack 开始逐渐舍弃旧版本的升级,安装前必须先安装旧版的 Service Pack。

     

    目前已经存在这种限制的是:Windows XP SP3(必须首先安装 SP1 或 SP2,不支持 RTM);Windows Vista SP2(必须首先安装 SP1,不支持 RTM)。

     

    个人认为 Service Pack 的这种改变实际是开发人员偷懒的体现,Service Pack 就应该支持从任意版本升级才对。如果以后的 Service Pack 都必须要求一个版本一个版本地累积升级,那干脆就不要叫 Service Pack 了,还是叫 Windows 第二版、第三版或者 R2、R3 更符合实际。

    2008年12月9日 12:17
    版主

全部回复

  • 可以的。不需要SP1或SP2的。任意版本的XP都能直接升级SP3的。

    2008年12月9日 6:13
    版主
  • 以下引用一下你们官网上的一段话(摘自http://technet.microsoft.com/en-us/library/cc164204.aspx#1)

    To install SP3, your computer must meet the hardware and operating system requirements listed below. In addition, your computer must at least be running Windows XP with Service Pack 1 installed.

    We recommended that you have Service Pack 2 installed before installing SP3. You can download Service Pack 2 at the Windows XP Service Pack 2 website.


    如果按你说的。那么你们网站上的咨询有错误了。或着我的理解有误?~~~~~

    谢谢解答~
    2008年12月9日 6:57
  • 可都TECHNET上写的是网络安装包之类的说明,或者写错了。

    WINDOWS XP SP3的ISO版本是绝对可以从任意版本的XP升级到SP3版本。

    这个是SP3 ISO的下载地址和详细的说明:http://www.microsoft.com/downloads/details.aspx?displaylang=en&FamilyID=2fcde6ce-b5fb-4488-8c50-fe22559d164e

     

    SP3补丁包分很多个版本的,我的回答仅限于该完整的SP3的ISO版本。

    2008年12月9日 7:33
    版主
  •  

    不能,必须在Service Pack 1 或者更高版本的基础上安装 SP3。

    2008年12月9日 7:36
  •  

    2008年12月9日 7:46
  • 了解~~~thanks
    2008年12月9日 8:19
  • 我特地去测试了下,的确不能从WINDOWS XP 直接升级至SP3,最少需要SP1。

    微软的下载中心的说明真是无语。

    对于我的错误非常抱歉。

    2008年12月9日 10:49
    版主
  • http://www.microsoft.com/downloads/details.aspx?FamilyID=2fcde6ce-b5fb-4488-8c50-fe22559d164e&DisplayLang=zh-cn

     

    系统要求

    • 支持的操作系统: Windows XP Home Edition ; Windows XP Professional Edition ; Windows XP Service Pack 1; Windows XP Service Pack 2

    已经写的很清楚了,这个官方提供的下载是满足你的需求的。

    2008年12月9日 11:14
    版主
  •  changbo 写:

    http://www.microsoft.com/downloads/details.aspx?FamilyID=2fcde6ce-b5fb-4488-8c50-fe22559d164e&DisplayLang=zh-cn

     

    系统要求

    • 支持的操作系统: Windows XP Home Edition ; Windows XP Professional Edition ; Windows XP Service Pack 1; Windows XP Service Pack 2

    已经写的很清楚了,这个官方提供的下载是满足你的需求的。

    你也上当了。。。这个说明是错的,的确是需要SP1或以上版本的,我特地从TECHNET下载了个XP和SP3的ISO,然后安装SP3提示需要至少需要SP1。英文的支持系统和中文说明是一样的,但是就是需要SP1或以上版本。
    2008年12月9日 11:23
    版主
  • 在 Windows XP SP2(含)以前,所有的 Windows Service Pack 都是完全向下兼容的关系,可以从任意的旧版本升级至最新。例如 Windows 2000 SP4、Windows NT SP6,都可以从 RTM 直接升级。

     

    但是从 Windows XP SP3 & Windows Vista SP2 开始,Service Pack 开始逐渐舍弃旧版本的升级,安装前必须先安装旧版的 Service Pack。

     

    目前已经存在这种限制的是:Windows XP SP3(必须首先安装 SP1 或 SP2,不支持 RTM);Windows Vista SP2(必须首先安装 SP1,不支持 RTM)。

     

    个人认为 Service Pack 的这种改变实际是开发人员偷懒的体现,Service Pack 就应该支持从任意版本升级才对。如果以后的 Service Pack 都必须要求一个版本一个版本地累积升级,那干脆就不要叫 Service Pack 了,还是叫 Windows 第二版、第三版或者 R2、R3 更符合实际。

    2008年12月9日 12:17
    版主